Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_X509_var Class Reference

"_var" class for the OpenSSL

Parameters:

  X509 | structure.

More...

`#include <SSLIOP_X509.h>`

Inheritance diagram for TAO_SSLIOP_X509_var:

[legend]
Collaboration diagram for TAO_SSLIOP_X509_var:

[legend]
List of all members.

## Public Methods
| ~TAO_SSLIOP_X509_var (void)
| Destructor.
TAO_SSLIOP_X509_var & | operator= (X509 *)
TAO_SSLIOP_X509_var & | operator= (const TAO_SSLIOP_X509_var &)
TAO_SSLIOP_X509_var & | operator= (const X509 &)
const X509 * | operator-> (void) const
X509 * | operator-> (void)
| operator const X509 & () const
| operator X509 & ()
X509 * | in (void) const
X509 *& | inout (void)
X509 *& | out (void)
X509 * | _retn (void)
X509 * | ptr (void) const
Constructors
| TAO_SSLIOP_X509_var (void)
| TAO_SSLIOP_X509_var (X509 *x)
| TAO_SSLIOP_X509_var (const TAO_SSLIOP_X509_var &)
| TAO_SSLIOP_X509_var (const X509 &x)
## Private Methods
| TAO_SSLIOP_X509_var (const TAO_Base_var &rhs)
TAO_SSLIOP_X509_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
X509 * | x509_
| The OpenSSL X509 structure that represents a X.509 certificate.

## Detailed Description

"_var" class for the OpenSSL

Parameters:

  X509 | structure.

This class is simply used to make operations on instances of the OpenSSL

Parameters:

  X509 | structures exception safe. It is only used internally by the SSLIOP pluggable protocol.

## Constructor & Destructor Documentation

ACE_INLINE TAO_SSLIOP_X509_var::TAO_SSLIOP_X509_var | ( | void |  | ) |

ACE_INLINE TAO_SSLIOP_X509_var::TAO_SSLIOP_X509_var | ( | X509 * | x | ) |

TAO_SSLIOP_X509_var::TAO_SSLIOP_X509_var | ( | const TAO_SSLIOP_X509_var & |  | ) |

ACE_INLINE TAO_SSLIOP_X509_var::TAO_SSLIOP_X509_var | ( | const X509 & | x | ) |

ACE_INLINE TAO_SSLIOP_X509_var::~TAO_SSLIOP_X509_var | ( | void |  | ) |

| Destructor.

TAO_SSLIOP_X509_var::TAO_SSLIOP_X509_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ACE_INLINE X509 * TAO_SSLIOP_X509_var::_retn | ( | void |  | ) |

ACE_INLINE X509 * TAO_SSLIOP_X509_var::in | ( | void |  | ) | const

ACE_INLINE X509 *& TAO_SSLIOP_X509_var::inout | ( | void |  | ) |

ACE_INLINE TAO_SSLIOP_X509_var::operator const X509 & | ( |  | ) |

ACE_INLINE TAO_SSLIOP_X509_var::operator X509 & | ( |  | ) |

ACE_INLINE X509 * TAO_SSLIOP_X509_var::operator-> | ( | void |  | ) |

ACE_INLINE const X509 * TAO_SSLIOP_X509_var::operator-> | ( | void |  | ) | const

TAO_SSLIOP_X509_var& TAO_SSLIOP_X509_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

| Reimplemented from TAO_Base_var.

ACE_INLINE TAO_SSLIOP_X509_var & TAO_SSLIOP_X509_var::operator= | ( | const X509 & |  | ) |

TAO_SSLIOP_X509_var& TAO_SSLIOP_X509_var::operator= | ( | const TAO_SSLIOP_X509_var & |  | ) |

ACE_INLINE TAO_SSLIOP_X509_var & TAO_SSLIOP_X509_var::operator= | ( | X509 * |  | ) |

ACE_INLINE X509 *& TAO_SSLIOP_X509_var::out | ( | void |  | ) |

ACE_INLINE X509 * TAO_SSLIOP_X509_var::ptr | ( | void |  | ) | const

## Member Data Documentation

X509* TAO_SSLIOP_X509_var::x509_`[private]`

| The OpenSSL X509 structure that represents a X.509 certificate.

The documentation for this class was generated from the following files:

- SSLIOP_X509.h
- SSLIOP_X509.inl